file.writeBytes Writes binary data to a file
Usage
file.writeBytes [-a] <filename:string> <dataArray:array>
Description

Writes <dataArray> (which must be an array) to the file <filename>.
The array should either contain integers between 0 and 255, which will be written as bytes, or strings, which will be written in UTF-8 encoding.
-a causes the command to append the <data> to the file instead of overwriting the entire file.
The path is adjusted according to the system that KVIrc is running on so you don't have to bother about portability: it should be automatically guaranteed - just use a UNIX style path.

Switches

-a | --append
If the file already exists, append the data instead of overwriting the original contents.

Examples
for(%i=0;%i<256;%i++) %a[%i] = %i file.writeBytes "/home/pragma/test.bin" %a
See also
file.rename, $file.exists, $file.write

Index, Commands